#include <stdlib.h>
#include <stdio.h>
#include <avwio.h>

int main(int argc,char* argv[])
{
  char outfile[1024];
  short ppl,lpi,ipv,vols,type;
  void *buffer;
  AVW *ip,*op;

  if(argc<3){
    printf("usage: avw2nat infile outfile\n");
    return(1);
  }
  if((!strcmp(argv[1],"-h"))||(!strcmp(argv[1],"--help"))){
    printf("usage: avw2nat infile outfile\n");
    return(1);
  }
  sprintf(outfile,"%s",argv[2]);
  
  if((ip=AvwOpen(argv[1],"r"))==NULL){
    printf("Failed to open AVW file: %s\n",argv[1]);
    return(1);
  }
  if((op=AvwOpen(outfile,"w+"))==NULL){
    printf("Failed to open AVW file: %s\n",outfile);
    return(1);
  }
  
  AvwCloneHeader(op,ip);
  AvwGetDim(ip,&ppl,&lpi,&ipv,&vols);
  
  if((buffer=calloc(AvwGetVolSize(ip)*vols,AvwGetDataType(ip,&type)/(8*sizeof(char))))==NULL){
    printf("Malloc failed\n");
    return(1);
  }
  
  AvwReadVolumes(ip,buffer,vols);
  AvwWriteVolumes(op,buffer,vols);
  
  AvwClose(op);
  AvwClose(ip);
  
  return(0);
}
